package com.yeejoin.amos.boot.module.jxiop.biz.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jxiop.biz.dto.IdxBizFanWarningRuleSetDto;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.IdxBizFanWarningRuleSet;
import com.yeejoin.amos.boot.module.jxiop.biz.mapper2.IdxBizFanWarningRuleSetMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.service.IIdxBizFanWarningRuleSetService;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 服务实现类
 *
 * @author system_generator
 * @date 2023-08-15
 */
@Service
public class IdxBizFanWarningRuleSetServiceImpl extends BaseService<IdxBizFanWarningRuleSetDto, IdxBizFanWarningRuleSet, IdxBizFanWarningRuleSetMapper> implements IIdxBizFanWarningRuleSetService {
    /**
     * 分页查询
     */
    public Page<IdxBizFanWarningRuleSetDto> queryForIdxBizFanWarningRuleSetPage(Page<IdxBizFanWarningRuleSetDto> page)   {
        return this.queryForPage(page, null, false);
    }

    /**
     * 列表查询 示例
     */
    public List<IdxBizFanWarningRuleSetDto> queryForIdxBizFanWarningRuleSetList()   {
        return this.queryForList("" , false);
    }

    public List<Map<String,Object>> queryList(int current,int size)   {
        return this.getBaseMapper().queryList( current, size);
    }

    public int  queryListCount()   {
        return this.getBaseMapper().queryListCount();
    }
}